Table of Contents

Class: vcsLoginDialog | eric3/VCS/LoginDialog.py
--- | ---

Class implementing a dialog to enter the login data for a VCS system.

Base Classes |
--- | ---
vcsLoginForm

Methods |
--- | ---
__init__ getData
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| getData

    getData ( self )

### Public slot to retrieve the data entered into the dialog.

#### Returns

a tuple of 5 strings (vcs system, username, password, remote hostname and repository).

Table of Contents

This document was automatically generated by HappyDoc version 2.1